%r=symetriseFieldTE(r, p)
%------------------------
%
%Sums up the incident wave with its mirrored image.
%
%Input:
% r      data structure (see 'holeFieldTE')
% p      phase for mirrored image []
%
%Output:
% r      data structure
%
function r=symetriseFieldTE(r, p)
r.Ex=addMirror(r.Ex,p);
r.Ey=addMirror(r.Ey,p);
r.Ez=addMirror(r.Ez,p);
r=electricIntensity(r);

function f=addMirror(f,p)
f=double(f);
f=single(f+exp(-p*pi/180i)*f(size(f,1):-1:1,:,:));
