%display2D(r)
%------------
%
%Displays the transversal eigenmodes of the grating.
%
%Input:
% r      Data structure (see 'filmFieldTx')
%
function display2D(r)
d.u=r.um;
t=size(r.um,1);
d.x=((1:t)'-t/2)*r.S(1)/t;
f=figure('IntegerHandle','off','MenuBar','none','Name','Transverse eigenmodes','NumberTitle','off','ToolBar','none','UserData',d);
a=axes('Parent',f,'Units','Pixels');
p=get(a,'Position');
set(a,'Position',[p(1) p(2)+32 p(3) p(4)-32]);
p=get(f,'Position');

uicontrol('Parent',f,'Position',[8 12 48 16],'String',1,'Tag','Text','TooltipString','Transverse eigenmode','Style','text');
uicontrol('Callback','eventDisplay2D','Min',1,'Max',100,'Parent',f,'Position',[56 8 p(3)-64 24],'SliderStep',[1 10]/99,'Tag','Slider','TooltipString','Selects the transverse eigenmode','Style','slider','Value',1);
