%eventControls3D(n)
%------------------
%
%Callback function dispatcher for the 3D display controls.
%
%Input:
% n      Callback function to execute.
%
function eventControls3D(n)
if nargin
   feval(n,gcbo);
else
   [o,f]=gcbo;
   h=get(f,'UserData');
   r=get(h,'UserData');
   feval(get(o,'Tag'),f,h,o,r);
   updateDisplay3D(h);
end

%
%Request to close the figure
%
function Close(f)
delete(findobj(get(0,'Children'),'flat','Tag','holeDisplay3D'));
delete(f);

%
%Change of the field component
%
function List(f,h,o,r)
s=get(o,'String');
r.F=s{get(o,'Value')};
switch get(get(h,'CurrentAxes'),'Tag')
case {'Field','Start'}
   set(h,'Name',['Field ' r.F]);
case 'Phase'
   set(h,'Name',['Phase ' r.F]);
end
set(h,'UserData',r);

%
%Change of the view axes
%
function View(f,h,o,r)
s=get(o,'String');
switch s{get(o,'Value')}
case 'xy'
   r.V=[1 2];
case 'xz'
   r.V=[1 3];
case 'yz'
   r.V=[2 3];
end
r.U=ceil(r.W(6-sum(r.V))/2);
set(h,'UserData',r);
updateSlider(f,r);
updateAxes(h,r);

%
%Change of the view position
%
function Slider(f,h,o,r)
s={'x','y','z'};
s=s{6-sum(r.V)};
p=getfield(r,s);
u=get(o,'Value');
t=abs(p-u);
r.U=find(t == min(t));
set(o,'Value',p(r.U));
set(h,'UserData',r);
updateText(f,s,p(r.U));

%
%Displays an electromagnetic field component
%
function Field(f,h,o,r)
set(h,'Name',['Field ' r.F]);
a=get(h,'CurrentAxes');
s='Field';
if strcmp(get(a,'Tag'),s)
   s='Start';
end
set(a,'Tag',s);

%
%Displays the field intensity
%
function Intensity(f,h,o,r)
set(h,'Name','Intensity');
set(get(h,'CurrentAxes'),'Tag','Intensity');

%
%Displays the phase of a field component
%
function Phase(f,h,o,r)
set(h,'Name',['Phase ' r.F]);
set(get(h,'CurrentAxes'),'Tag','Phase');
