%eventDisplay3D(n, h)
%--------------------
%
%Callback function dispatcher for a 3D display figure.
%
%Input:
% n      Callback function to execute.
% h      Figure handle if manually called.
%
function eventDisplay3D(n, h)
if nargin < 2
   h=gcbo;
end
feval(n,h);

%
%Request to activate the figure.
%
function Activate(h)
updateControls3D(h);

%
%Request to close the figure.
%
function Close(h)
delete(h);
updateControls3D;

%
%Notification that the figure has been resized.
%
function Resize(h)
r=get(h,'UserData');
p=get(h,'Position');
p(3:4)=max(r.W(r.V),p(3:4));
t=r.S(r.V);
s=t./p(3:4);
if s(1) < s(2)
   p(3)=p(4)*t(1)/t(2);
else
   p(4)=p(3)*t(2)/t(1);
end
set(h,'Position',p);
