%p=conv3(a,b,c, p)
%-----------------
%
%Tridimensional convolution.
%
%Input:
% a/b/c  Vectors along the dimensions
% p      Tridimensional data
%
%Output:
% p      Convolution: [a*b*c] o p
%
function p=conv3(a,b,c, p)
for n=1:size(p,3);
   p(:,:,n)=conv2(a,b,p(:,:,n),'same');
end
p=convn(p,permute(c(:),[2 3 1]),'same');
