%f=createControls3D
%------------------
%
%Creates or activates the 3D display controls window.
%
%Output:
% f      The controls' window handle.
%
function f=createControls3D
f=findobj(get(0,'Children'),'flat','Tag','holeControls3D');
if isempty(f) | ~ishandle(f)
   r='TooltipString';
   p='Position';
   s='String';
   y='Style';
   t='Tag';
   b=get(0,'ScreenSize');
   f=figure('CloseRequestFcn','eventControls3D(''Close'')','MenuBar','none','Name','Display controls','IntegerHandle','off','NumberTitle','off','Resize','off',p,[50 b(4)-146 200 96],t,'holeControls3D','ToolBar','none');
   o.Parent=f;
%   axes(o,'Units','pixels',p,[0 96 200 160],'NextPlot','add','Projection','perspective','Visible','off');
   uicontrol(o,p,[72 64 120 24],s,' ',t,'Text',y,'text');
   o.Callback='eventControls3D';
   o.Enable='off';
   uicontrol(o,p,[8 64 56 24],s,{' '},t,'List',r,'Selects the electromagnetic field component',y,'popupmenu');
   uicontrol(o,p,[8 40 56 24],s,{'xy','xz','yz'},t,'View',r,'Selects the view axes',y,'popupmenu','Value',2);
   uicontrol(o,p,[72 40 120 24],t,'Slider',r,'Selects the section position',y,'slider');
   uicontrol(o,p,[8 8 56 24],s,'Field',t,'Field',r,'Displays the electromagnetic field');
   uicontrol(o,p,[72 8 56 24],s,'Intensity',t,'Intensity',r,'Displays the intensity');
   uicontrol(o,p,[136 8 56 24],s,'Phase',t,'Phase',r,'Displays the phase');
else
   figure(f);
end
