%f=createStatus
%--------------
%
%Creates or activates the progress window.
%
%Output:
% f      The status' window handle.
%
function f=createStatus
f=findobj(get(0,'Children'),'flat','Tag','Progress');
if isempty(f) | ~ishandle(f)
   s=[256 80];
   t=get(0,'ScreenSize');
   f=figure('CloseRequestFcn','set(gcbo,''UserData'',-abs(get(gcbo,''UserData'')));','DoubleBuffer','on','MenuBar','none','Name','Progress ...','IntegerHandle','off','NumberTitle','off','Resize','off','Position',[floor((t(3:4)-s)/2) s],'Tag','Progress','ToolBar','none','UserData',cputime);
   a.Parent=axes('Parent',f,'Position',[0 0 1 1],'Visible','off','XLim',[0 256],'YLim',[0 80]);
   %
   %Horizontal bar
   %
   rectangle('Position',[4 54 248 22],'EdgeColor','white','FaceColor',[0.7 0.7 0.7],a);
   line([4 4 252],[55 76 76],'Color',[0.5 0.5 0.5],a);
   rectangle('Position',[4 54 0.1 22],'EdgeColor','white','FaceColor','red','Tag','Rect',a);
   line([4 4 4],[54 54 77],'Color',[0.2 0.2 0.2],'Tag','Line',a);
   %
   %Description texts
   %
   a.FontWeight='bold';
   a.Units='pixels';
   a.VerticalAlignment='middle';
   text(136,66,1,'%',a);
   text(16,36,'Elapsed time:',a);
   text(16,20,'Remaining:',a);
   text(200,36,'hours',a);
   text(200,20,'hours',a);
   %
   %Information texts
   %
   a.HorizontalAlignment='right';
   text(136,66,1,'0',a,'Tag','Done');
   text(198,36,'0:00:00',a,'Tag','Time');
   text(198,20,'0:00:00',a,'Tag','Task');
end
drawnow;
