%d=div(u,v,w, x,y,z)
%-------------------
%
%Divergence of a vector field.
%
%Input:
% u/v/w  Components of the vector field
% x/y/z  Coordinates (must be monotonic)
%
%Output:
% d      Divergence: du/dx + dv/dy + dw/dz
%
function d=div(u,v,w, x,y,z)
switch nargin
case 2
   w=zeros(size(u));
   x=[];
   y=[];
   z=[];
case 3
   x=[];
   y=[];
   z=[];
case 4
   y=x;
   x=w;
   w=zeros(size(u));
   z=[];
case 6
otherwise
   error('Wrong number of parameters.');
end
d=derive(u,1,x)+derive(v,2,y)+derive(w,3,z);
