%m=epsilon(r, f)
%---------------
%
%Assigns the material properties to the regions.
%
%Input:
% r      Structure (see 'holeField')
% f      Function on the dielectric constants er [1]
%
%Output:
% m      Regions with f(er)
%
function m=epsilon(r, f)
if nargin <  2
   f=inline('x');
end
[a,b,c,d]=regions(r);
m=zeros(r.W);
m(:,:,1:a-1)=eval('f(r.e1)');
m(:,:,a:b)=eval('f(r.e2)');
m(c,d,a:b)=eval('f(r.e3)');
m(:,:,1+b:r.W(3))=eval('f(r.e4)');
