%[a,b,c]=grad(f, x,y,z)
%----------------------
%
%Gradient of a scalar field.
%
%Input:
% f      Scalar field
% x/y/z  Coordinates (must be monotonic)
%
%Output:
% a/b/c  Gradient:
%           a = df/dx
%           b = df/dy
%           c = df/dz
%
function [varargout]=grad(f, varargin)
for d=1:min(nargout,ndims(f))
   if nargin > d
      varargout{d}=derive(f,d,varargin{d});
   else
      varargout{d}=derive(f,d);
   end
end
