%[a,b,c,d]=regions(r)
%--------------------
%
%Region indices.
%
%Input:
% r      Structure (see 'holeField')
%
%Output:
% a/b    Metal layer at z(a:b)
% c/d    Holes at x(c) X y(d)
%
function [a,b,c,d]=regions(r)
a=find(r.z >= 0);
a=a(1);
b=find(r.z <= r.h);
b=b(length(b));
if nargout > 2
   c=[];
   n=ceil(r.S(1)/r.px);
   for j=-n:n
      c=[c find(abs(r.x-j*r.px) < r.wx/2)];
   end
end
if nargout > 3
   d=[];
   n=ceil(r.S(2)/r.py);
   for j=-n:n
      d=[d find(abs(r.y-j*r.py) < r.wy/2)];
   end
end
