%b=zSpeed(e,gx,gy)
%-----------------
%
%Computes the propagation constant and sets its imaginary
%part to positive.
%
%Input:
% e      Dielectric constant
% gx     kx/k0
% gy     ky/k0 (optional)
%
%Output:
% b      kz/k0
%
function b=zSpeed(e,gx,gy)
if nargin < 3
   gy=0;
end
b=sqrt(e-gx.^2-gy.^2);
b=b.*(1-2*(imag(b) < 0));
